org.bdgenomics.adam.rdd.read

# ReferencePositionPairSerializer

#### class ReferencePositionPairSerializer extends Serializer[ReferencePositionPair]

Linear Supertypes
Serializer[ReferencePositionPair], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReferencePositionPairSerializer
2. Serializer
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReferencePositionPairSerializer()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def copy(arg0: Kryo, arg1: ReferencePositionPair): ReferencePositionPair

   Definition Classes
     Serializer

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def getAcceptsNull(): Boolean

    Definition Classes
      Serializer

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### def isImmutable(): Boolean

    Definition Classes
      Serializer

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def read(kryo: Kryo, input: Input, klazz: Class[ReferencePositionPair]): ReferencePositionPair

    Definition Classes
      ReferencePositionPairSerializer → Serializer

21. #### val rps: ReferencePositionSerializer

22. #### def setAcceptsNull(arg0: Boolean): Unit

    Definition Classes
      Serializer

23. #### def setGenerics(arg0: Kryo, arg1: Array[Class[_]]): Unit

    Definition Classes
      Serializer

24. #### def setImmutable(arg0: Boolean): Unit

    Definition Classes
      Serializer

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### def write(kryo: Kryo, output: Output, obj: ReferencePositionPair): Unit

    Definition Classes
      ReferencePositionPairSerializer → Serializer

### Inherited from Serializer[ReferencePositionPair]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped